<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once(dirname(__FILE__) . '/include/constants.php');

function plugin_install()
{
	$query = '
		CREATE TABLE IF NOT EXISTS ' . TRAVELMAP_TABLE . ' (
			id INT NOT NULL AUTO_INCREMENT,
			category smallint(5) UNSIGNED,
			location VARCHAR(255) NOT NULL,
			latitude DOUBLE(8,6),
			longitude DOUBLE(9,6),
			date datetime,
			PRIMARY KEY  (id),
			UNIQUE (category)
		);';
	pwg_query($query);
	
	include_once 'include/functions.php';
	include_once 'include/default_config.php';
	generate_marker($route_color);
}

function plugin_uninstall()
{
	$query = 'DROP TABLE ' . TRAVELMAP_TABLE;
	pwg_query($query);
	
	conf_delete_param('TravelMap');
}
?>